LibreOffice: TableCharts Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
TableCharts Service Referencepublished

represents a collection of all charts based on data in a table. More...

Inheritance diagram for TableCharts:

## Exported Interfaces
interface | com::sun::star::table::XTableCharts
| provides methods to insert and remove charts. More...
interface | com::sun::star::container::XIndexAccess
| provides methods to access the charts via index. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all contained charts. More...

## Additional Inherited Members
Public Member Functions inherited from XTableCharts
void | addNewByName ([in] string aName, [in] com::sun::star::awt::Rectangle aRect, [in] sequence< com::sun::star::table::CellRangeAddress > aRanges, [in] boolean bColumnHeaders, [in] boolean bRowHeaders)
| creates a chart and adds it to the collection. More...
void | removeByName ([in] string aName)
| removes a chart from the collection. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()

## Detailed Description

represents a collection of all charts based on data in a table.

See also
  com::sun::star::table::TableChart

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all contained charts.

See also
  com::sun::star::table::TableChartsEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides methods to access the charts via index.

## ◆ com::sun::star::table::XTableCharts

interface com::sun::star::table::XTableCharts

provides methods to insert and remove charts.

The documentation for this service was generated from the following file:

- com/sun/star/table/TableCharts.idl